bitcain docs
API Reference

Linear

Linear integration - query issues, create agent-filed bugs, update issue status, bidirectional project sync

Linear Health

GET
/api/v1/linear/health

Response Body

application/json

curl -X GET "https://loading/api/v1/linear/health"
{}

List Issues

GET
/api/v1/linear/issues

Query Parameters

states?|
assignee_id?|
label?|
limit?integer
Default25

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/linear/issues"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Create Issue

POST
/api/v1/linear/issues

Request Body

application/json

teamId*string
title*string
Length1 <= length <= 255
description?|
state?string
Default"backlog"
priority?integer
Default0
Range0 <= value <= 4
projectId?|
assigneeId?|
parentId?|
labelIds?array<>
estimate?|
dueDate?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/linear/issues" \  -H "Content-Type: application/json" \  -d '{    "teamId": "string",    "title": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Issue

GET
/api/v1/linear/issues/{issue_id}

Path Parameters

issue_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/linear/issues/string"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Update Issue

PATCH
/api/v1/linear/issues/{issue_id}

Path Parameters

issue_id*string

Request Body

application/json

title?|
description?|
state?|
priority?|
assigneeId?|
projectId?|
parentId?|
labelIds?array<>|
estimate?|
dueDate?|

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/linear/issues/string" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Create Agent Issue

POST
/api/v1/linear/issues/agent

Request Body

application/json

title*string
Length1 <= length <= 255
description?|
agent_id*string

ID of the agent filing the issue

agent_type?string

Type of agent

Default"custom"
priority?integer

0=None, 1=Urgent, 2=High, 3=Medium, 4=Low

Default2
Range0 <= value <= 4
label_names?array<>

Label names to apply

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/linear/issues/agent" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "agent_id": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}